package com.caimei.mapper;

import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.vo.AuthVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface AuthMapper {

    List<AuthVo> getAuthList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId, @Param("authParty") String authParty, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus);

    void updateAuthStatusByAuthId(@Param("authId") Integer authId, @Param("status") Integer status);

    void deleteAuthByAuthId(Integer authId);

    void insertAuth(CmBrandAuthPo auth);

    void updateAuthByAuthId(CmBrandAuthPo auth);

    Integer getProductWaitAuditNum(Integer authId);

    void updateAuthAuditStatus(@Param("authId") Integer authId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);
}
