package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_auth_product
 *
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class ProductPo {
    /**
     * 商品Id
     */
    private Integer productId;

    /**
     * 授权Id
     */
    private Integer authId;

    /**
     * 品牌Id
     */
    private Integer brandId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * sn码
     */
    private String snCode;

    /**
     * 商品图片
     */
    private String productImage;

    /**
     * pc添加水印商品图片
     */
    private String pcImage;

    /**
     * 小程序添加水印商品图片
     */
    private String appletsImage;

    /**
     * 授权牌照
     */
    private String certificateImage;

    /**
     * pc添加水印授权牌照
     */
    private String pcCertificateImage;

    /**
     * 小程序添加水印授权牌照
     */
    private String appletsCertificateImage;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    private Integer auditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人Id
     */
    private Integer createBy;
}