package com.caimei.model.dto;

import lombok.Data;

/**
 * cm_brand_auth_shop_info
 * @author 
 */
@Data
public class ShopInfoDto {
    private Integer id;

    /**
     * 用户Id
     */
    private Integer authUserId;

    /**
     * 所属品牌Id
     */
    private Integer brandId;

    /**
     * 品牌授权logo
     */
    private String brandAuthLogo;

    /**
     * 产地国家id
     */
    private Integer countryId;

    /**
     * 官网认证链接
     */
    private String securityLink;

    /**
     * 代理声明类型：1弹窗，2链接，3图片，4文件
     */
    private Integer statementType;

    /**
     * 声明弹窗内容
     */
    private String statementContent;

    /**
     * 声明链接
     */
    private String statementLink;

    /**
     * 声明图片
     */
    private String statementImage;

    /**
     * 声明文件id
     */
    private Integer statementFileId;
}