package com.caimei.model.po;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * cm_brand_auth_user
 * @author 
 */
@Data
public class UserPo {
    /**
     * 用户id
     */
    private Integer authUserId;

    /**
     * 账号名
     */
    private String name;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 密码
     */
    private String password;

    /**
     * 联系人
     */
    private String linkMan;

    /**
     * 用户身份：1管理员，2供应商
     */
    private Integer userIdentity;

    /**
     * 供应商类型：1品牌方，2代理商
     */
    private Integer shopType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人用户Id
     */
    private Integer createBy;

    /**
     * 状态：0停用，1启用
     */
    private Integer status;
}