package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * cm_brand_auth
 * @author Aslee
 * @date 2021/5/17
 */
@Data
public class AuthVo {
    @ApiModelProperty("授权id")
    private Integer authId;

    /**
     * 授权机构
     */
    @ApiModelProperty("授权机构")
    private String authParty;

    /**
     * 上线状态：0已下线，1已上线，2待上线
     */
    @ApiModelProperty("上线状态：0已下线，1已上线，2待上线")
    private Integer status;

    /**
     * 审核状态：0审核未通过，1审核通过，2待审核
     */
    @ApiModelProperty("审核状态：0审核未通过，1审核通过，2待审核")
    private Integer auditStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

    /**
     * 创建人Id
     */
    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("下级审核状态，0未完成审核，1已完成审核")
    private Integer lowerAuditStatus;

    @ApiModelProperty("下级待审核数量")
    private Integer waitAuditNum;

    @ApiModelProperty("审核人")
    private String auditBy;

    @ApiModelProperty("审核时间")
    private Date auditTime;

    @ApiModelProperty("审核不通过原因")
    private String invalidReason;
}